Skip to main content

Create SecurityGroup

POST 

/projects/:projectId/providers/Aruba.Network/vpcs/:vpcId/securityGroups

Create SecurityGroup

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    vpcId stringrequired

    unique identifier of the vpc in which the security group will be created

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

instance of the security group to create

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    nullable

    Properties of a security group to create

    default boolean

    Indicates if the security group must be a default subnet. Only one default security group for vpc is admissible.

    preset boolean

    If true, create securityGroup with default security rules

    Default value: false

Responses

Created

Schema

    metadata

    object

    nullable

    id stringnullable
    uri stringnullable
    name stringnullable

    location

    object

    nullable

    code stringnullable
    country stringnullable
    city stringnullable
    name stringnullable
    value stringnullable

    project

    object

    nullable

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    nullable

    name stringnullable
    provider stringnullable

    typology

    object

    nullable

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • managedBy stringnullable

    status

    object

    nullable

    state stringnullable
    creationDate date-timenullable

    disableStatusInfo

    object

    nullable

    isDisabled boolean
    reasons string[]

    previousStatus

    object

    nullable

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    nullable

    reason stringnullable
    message stringnullable

    properties

    object

    nullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • default boolean

    Indicates if the security group is the default one within the vpc

    vpc

    object

    nullable

    Vpc where the security group belongs

    uri stringnullable
Loading...